use lang::{Sentence, Inbox};
use board::{Board};

pub struct Soul {
   sigil: String,
   belief: Vec<Sentence>
}

pub type Souls = Vec<Soul>;

pub fn new(w: usize, h: usize, g: String) -> (Board,Inbox,Souls) {
   let b = Board::new(w,h);
   let i = vec![];
   let s = vec![];
   (b,i,s)
}

pub fn step(b: Board, i: Inbox, s: Souls) -> (Board,Inbox,Souls) {
   for x in 0.. b.width {
      for y in 0.. b.height {
      }
   };
   (b,i,s)
}
